from mgrctl.settings.environment import env
from mgrctl.utils.helpers import parse_json_file


PLATFORM_TYPE = env.str('PLATFORM_TYPE', 'vm')

PLATFORM_CONFIG = env.str(
    'PLATFORM_CONFIG',
    f'/opt/ispsystem/{PLATFORM_TYPE}/config.json'
)

PLATFORM_CONFIG = parse_json_file(PLATFORM_CONFIG)

PLATFORM_URL = env.url(
    'PLATFORM_URL',
    f"https://{PLATFORM_CONFIG.get('DomainName' ,'replace.me')}"
)
